VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV:
[legend]

## Public Member Functions

| AccelerationStructureMemoryRequirementsInfoNV (AccelerationStructureMemoryRequirementsTypeNV type_=AccelerationStructureMemoryRequirementsTypeNV::eObject, AccelerationStructureNV accelerationStructure_=AccelerationStructureNV())
| AccelerationStructureMemoryRequirementsInfoNV (VkAccelerationStructureMemoryRequirementsInfoNV const &rhs)
AccelerationStructureMemoryRequirementsInfoNV & | operator= (VkAccelerationStructureMemoryRequirementsInfoNV const &rhs)
AccelerationStructureMemoryRequirementsInfoNV & | setPNext (const void *pNext_)
AccelerationStructureMemoryRequirementsInfoNV & | setType (AccelerationStructureMemoryRequirementsTypeNV type_)
AccelerationStructureMemoryRequirementsInfoNV & | setAccelerationStructure (AccelerationStructureNV accelerationStructure_)
| operator VkAccelerationStructureMemoryRequirementsInfoNV const & () const
| operator VkAccelerationStructureMemoryRequirementsInfoNV & ()
bool | operator== (AccelerationStructureMemoryRequirementsInfoNV const &rhs) const
bool | operator!= (AccelerationStructureMemoryRequirementsInfoNV const &rhs) const

## Data Fields

const void * | pNext = nullptr
AccelerationStructureMemoryRequirementsTypeNV | type
AccelerationStructureNV | accelerationStructure

## Private Attributes

StructureType | sType = StructureType::eAccelerationStructureMemoryRequirementsInfoNV

## Detailed Description

Definition at line 37189 of file vulkan.hpp.

## Constructor & Destructor Documentation

## AccelerationStructureMemoryRequirementsInfoNV() [1/2]

VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::AccelerationStructureMemoryRequirementsInfoNV | ( | AccelerationStructureMemoryRequirementsTypeNV | type_ = `AccelerationStructureMemoryRequirementsTypeNV::eObject`,
|  | AccelerationStructureNV | accelerationStructure_ = `AccelerationStructureNV()`
| ) |  |

inline

Definition at line 37191 of file vulkan.hpp.

: type( type_ )
, accelerationStructure( accelerationStructure_ )
{
}

## AccelerationStructureMemoryRequirementsInfoNV() [2/2]

VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::AccelerationStructureMemoryRequirementsInfoNV | ( | VkAccelerationStructureMemoryRequirementsInfoNV const & | rhs | ) |

inline

Definition at line 37198 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AccelerationStructureMemoryRequirementsInfoNV ) );
}

References memcpy.

## Member Function Documentation

## operator VkAccelerationStructureMemoryRequirementsInfoNV &()

VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::operator VkAccelerationStructureMemoryRequirementsInfoNV & | ( |  | ) |

inline

Definition at line 37231 of file vulkan.hpp.

{
return *reinterpret_cast<VkAccelerationStructureMemoryRequirementsInfoNV*>(this);
}

## operator VkAccelerationStructureMemoryRequirementsInfoNV const &()

VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::operator VkAccelerationStructureMemoryRequirementsInfoNV const & | ( |  | ) | const

inline

Definition at line 37226 of file vulkan.hpp.

{
return *reinterpret_cast<const VkAccelerationStructureMemoryRequirementsInfoNV*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::operator!= | ( | AccelerationStructureMemoryRequirementsInfoNV const & | rhs | ) | const

inline

Definition at line 37244 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

AccelerationStructureMemoryRequirementsInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::operator= | ( | VkAccelerationStructureMemoryRequirementsInfoNV const & | rhs | ) |

inline

Definition at line 37203 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( AccelerationStructureMemoryRequirementsInfoNV ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::operator== | ( | AccelerationStructureMemoryRequirementsInfoNV const & | rhs | ) | const

inline

Definition at line 37236 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( type == rhs.type )
&& ( accelerationStructure == rhs.accelerationStructure );
}

References accelerationStructure, pNext, sType, and type.

Referenced by operator!=().

## setAccelerationStructure()

AccelerationStructureMemoryRequirementsInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::setAccelerationStructure | ( | AccelerationStructureNV | accelerationStructure_ | ) |

inline

Definition at line 37220 of file vulkan.hpp.

{
accelerationStructure = accelerationStructure_;
return *this;
}

References accelerationStructure.

## setPNext()

AccelerationStructureMemoryRequirementsInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 37208 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## setType()

AccelerationStructureMemoryRequirementsInfoNV& VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::setType | ( | AccelerationStructureMemoryRequirementsTypeNV | type_ | ) |

inline

Definition at line 37214 of file vulkan.hpp.

{
type = type_;
return *this;
}

## Field Documentation

## accelerationStructure

AccelerationStructureNV VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::accelerationStructure

Definition at line 37255 of file vulkan.hpp.

Referenced by operator==(), and setAccelerationStructure().

## pNext

const void* VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::pNext = nullptr

Definition at line 37253 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::sType = StructureType::eAccelerationStructureMemoryRequirementsInfoNV

private

Definition at line 37250 of file vulkan.hpp.

Referenced by operator==().

## type

AccelerationStructureMemoryRequirementsTypeNV VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::type

Definition at line 37254 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::AccelerationStructureMemoryRequirementsInfoNV
AccelerationStructureMemoryRequirementsInfoNV(AccelerationStructureMemoryRequirementsTypeNV type_=AccelerationStructureMemoryRequirementsTypeNV::eObject, AccelerationStructureNV accelerationStructure_=AccelerationStructureNV())
Definition: vulkan.hpp:37191
VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::accelerationStructure
AccelerationStructureNV accelerationStructure
Definition: vulkan.hpp:37255
VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::operator==
bool operator==(AccelerationStructureMemoryRequirementsInfoNV const &rhs) const
Definition: vulkan.hpp:37236
VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::type
AccelerationStructureMemoryRequirementsTypeNV type
Definition: vulkan.hpp:37254
VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::pNext
const void * pNext
Definition: vulkan.hpp:37253
VULKAN_HPP_NAMESPACE::AccelerationStructureMemoryRequirementsInfoNV::sType
StructureType sType
Definition: vulkan.hpp:37250
VkAccelerationStructureMemoryRequirementsInfoNV
Definition: vulkan_core.h:8294
type
GLuint GLuint GLsizei GLenum type
Definition: SDL_opengl.h:1571